Bug 867440 - yum clean all doesn't actually clean *all*
yum clean all doesn't actually clean *all*
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 10:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:50:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-10-17 10:14:01 EDT
Description of problem:

[notting@nostromo: ~]$ repoquery --repofrompath=... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Tue Oct 16 22:38:14 2012
  Downloaded: Tue Oct 16 09:28:52 2012

Argh, let's delete everything.

[notting@nostromo: ~]$ rm -rf /var/tmp/yum-notting-7dZ0oL/
[notting@nostromo: ~]$ repoquery --repofrompath=... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Tue Oct 16 22:38:14 2012
  Downloaded: Tue Oct 16 09:28:52 2012

Argh, right, it's copying the system repo.

[notting@nostromo: ~]$ su
[root@nostromo notting]# yum clean all
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: fedora updates updates-testing
Cleaning up Everything
[root@nostromo notting]# exit

[notting@nostromo: ~]$ repoquery --repofrompath=... 
Not using downloaded repomd.xml because it is older than what we have:
  Current   : Tue Oct 16 22:38:14 2012
  Downloaded: Tue Oct 16 09:28:52 2012

Argh, wtf, is there still a cached copy for me?

[notting@nostromo: ~]$ yum clean all
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Cleaning repos: fedora updates updates-testing
Cleaning up Everything
[notting@nostromo: ~]$ repoquery --repofrompath=... 
  Current   : Tue Oct 16 22:38:14 2012
  Downloaded: Tue Oct 16 09:28:52 2012

ARGH.

[notting@nostromo: ~]$ su -
[root@nostromo ~]# rm -rf /var/cache/yum/
[root@nostromo ~]# rm -rf /var/tmp/yum-notting-7XXAIY/
[root@nostromo ~]# logout
[notting@nostromo: ~]$ repoquery --repofrompath=... 
... proper results ...

The issue, I suspect, is that cached repodata from --repofrompath will live eternally through 'yum clean all', because that only cleans enabled repos. Is that correct?

Is it possible to have 'yum clean all' clean... *everything*?

Version-Release number of selected component (if applicable):

yum-3.4.3-45.fc18.noarch

How reproducible:

100%
Comment 1 Zdeněk Pavlas 2012-10-18 08:59:59 EDT
> cached repodata from --repofrompath will live eternally through 'yum clean all', because that only cleans enabled repos. Is that correct?

Yes, "clean all" does not clean disabled repos.  See BUG 744792 for similar problem (debuginfo repo disabled by default, but enabled in prereposetup hook).

http://lists.baseurl.org/pipermail/yum-devel/2011-October/008724.html
Comment 2 James Antill 2012-10-19 15:42:14 EDT
 yum explicitly only touches what is enabled, you can do:

yum --enablerepo=\* clean all

...but even that will miss. repos. you don't have configuration for.

 There is also repomanage, and just plain rm -rf /var/cache/yum/*
Comment 3 Bill Nottingham 2012-10-19 15:52:44 EDT
Then I'd like to RFE that repoquery's --repofrompath not use the global caching configuration.
Comment 4 Steve Tyler 2013-08-20 05:34:11 EDT
Here's another yum quirk.

I commonly use the "--releasever" option to examine packages from other releases than the one I have installed. Cleaning those repos should be possible with this syntax:

$ sudo yum clean all --enablerepo='*' --releasever='*'

Instead, yum creates a directory called '*':

$ ls /var/cache/yum/x86_64/
*/  16/  17/  18/  19/  19-beta/  20/  f18/  f19/  rawhide/  repo-1/

$ ls /var/cache/yum/x86_64/'*'
fedora/            updates/            updates-testing/
fedora-debuginfo/  updates-debuginfo/  updates-testing-debuginfo/
fedora-source/     updates-source/     updates-testing-source/

$ rpm -q yum
yum-3.4.3-106.fc19.noarch
Comment 5 Fedora End Of Life 2013-12-21 10:09:10 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:50:27 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.